[[post_data {
    "author" : "Tarsier y KyMAN",
    "since" : 20210623,
    "version" : 20210624
}]]
# ¿Cómo se llama?

Los diccionarios son contenidos JSON, los cuales pueden estar almacenados en ficheros públicos sin
CORS en el servidor mismo del WDictionaries; o bien, desde un servidor propio o externo; o integrado
dentro del mismo proyecto donde se haga uso del diccionario.

> **NOTA**: Aquí suponemos que se hace uso de WMarkDown, el cual integra las librerías necesarias
para la interpretación y gestión de los diccionarios, y todo ejemplo y explicación partirá de este
proyecto.

Para integrar uno o más ficheros simplemente hemos de abrir un elemento _wdictionary_ en nuestro WMD
donde el primer parámetro es el propio nombre _wdictionary_, el segundo es un String que representa
al cabecera del buscador de conceptos del diccionario, y los restantes serán vínculos con
diccionarios que se quieran integrar en nuestra página WMD.

```md
[[wdictionay "Diccionario de pruebas"
    https://wdictionaries.k3y.pw/es/common.json
    https://wdictionaries.k3y.pw/es/digital.json
    https://wdictionaries.k3y.pw/es/own_projects.json
    https://wdictionaries.k3y.pw/es/projects.json
    https://wdictionaries.k3y.pw/es/users.json
    https://wdictionaries.k3y.pw/es/values.json
]]
```

> **IMPORTANTE**: Cara la gestión de los Links, hay que pensar que lo leerá JavaScript en el entorno
cliente de forma asíncrona con XMLHttpRequest, por lo que hay que orientar tanto las URI locales
como las URL externas para el CORS.

Tal como se llamó en el ejemplo a los archivos diccionario JSON, pueden ser llamados otros,
incluyendo de otros servidores o incluso almacenados en el mismo proyecto.

Por otro lado, tenemos una forma más reducida de llamar a los diccionarios que se encuentran en el
propio servidor del WDictionaries, que viene siendo con una llamada por GET al raíz del servidor
WDictionaries donde tendríamos la siguiente sintaxis de la URL:

```txt
https://wdictionaries.k3y.pw/?IDIOMA/DICCIONARIOS
```

Según esta estructura tenemos:

- **IDIOMA**: Código del idioma, normalmente de dos dígitos como "es" para Español o "en" para el
inglés. Dicho nombre será el directorio [[ignore /json]] donde se vayan a mirar los propios ficheros
JSON.
- **DICCIONARIOS**: Nombre de los ficheros diccionario a los cuales se quiere acceder, sin
extensión, y todos ellos separados entre sí por comas.

Para aclarar ésto usaremos el ejemplo anterior con esta nueva sintaxis URI, mucho más compacta,
dinámica y posiblemente, más legible.

```md
[[wdictionay "Diccionario de pruebas" https://wdictionaries.k3y.pw/?es/common,digital,own_projects,projects,users,values]]
```

Ambos sistemas son totalmente elegibles por el usuario editor de la página, sin embargo, hay una
diferencia crucial entre ellos: los ficheros JSON son elementos considerados estáticos, y por tanto,
son considerados cacheables tanto por los navegadores como por los servidores Proxy intermedios,
como puede ser el caso de CloudFlare; por otro lado, el método de la URI única es un método
considerado dinámico el cual nunca será cacheado. Esta diferencia radica en lo siguiente:

<table style="width:100%;">
    <thead>
        <tr>
            <th style="width:50%;">Pros</th>
            <th style="width:50%;">Contras</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>

- Los archivos JSON son de acceso más rápido.
- Ante actualizar el contenido es muchísimo más eficiente la URI única.
- En SEO es mejor la vinculación a los JSON.
- Para tecnologías móviles con datos limitados es mejor JSON.

            </td>
            <td>

- El sistema de URI única no es cacheable y por tanto, siempre requiere de cargar.
- A la hora de actualizar, los JSON pueden quedar cacheados.
- El sistema de URI única pierde puntos SEO por estado dinámico.
- El sistema de URI única puede consumir muchos datos.

            </td>
        </tr>
    </tbody>
</table>

En base a estos criterios, el usuario editor ha de decidir qué método usar si el recurso de
diccionario está integrado en el servidor del WDictionaries.

[[html_data {
    "title" : "WDictionaries - Cargar diccionarios",
    "url" : "https://wmarkdown.k3y.pw/es/load.html",
    "author" : "Tarsier, KyMAN, angelus",
    "since" : 20210623,
    "version" : 20210624,
    "key_words" : "Whalers,MarkDown,MediaWiki,WMarkDown,dictionary,wdictioaries,lectura,carga,diccionarios",
    "description" : "Manual del WDictionaries.",
    "project" : "WDictionaries",
    "logo" : "https://wdictionaries.k3y.pw/images/logo.png"
}]]
